<html devsite><head>
    <title>Nexus 安全公告 - 2015 年 10 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>发布时间：2015 年 10 月 5 日 | 更新时间：2016 年 4 月 28 日</em></p>

<p>在每月发布 Android 安全公告的同时，我们都通过无线下载 (OTA) 更新的方式发布了针对 Nexus 设备的安全更新。我们还在 <a href="https://developers.google.com/android/nexus/images">Google Developers 网站</a>上发布了 Nexus 固件映像。安全补丁程序级别为 2015 年 10 月 1 日或更新的 Android L（LMY48T 或更高细分版本，例如 LMY48W）和 Android M 均已解决本公告中所述的问题。请参阅 <a href="https://support.google.com/nexus/answer/4457705">Nexus 文档</a>，了解如何查看安全补丁程序级别。</p>

<p>合作伙伴在 2015 年 9 月 10 日或之前就已收到关于这些问题的通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中。</p>

<p>这些问题中危险性最高的是一个严重程度为“严重”的安全漏洞。当系统处理媒体文件时，攻击者可以利用该漏洞通过多种方式（例如电子邮件、网页浏览和彩信等）在受影响的设备上远程执行代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>

<p>尚未有人向我们举报过有用户主动利用这些新报告的问题。请参阅<a href="#mitigations">缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和服务防护功能（如 SafetyNet）。我们建议所有用户都在自己的设备上接受这些更新。</p>

<h2 id="mitigations">缓解措施</h2>

<p>这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 SafetyNet）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>

<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。
  </li><li>Android 安全团队会积极利用“验证应用”功能和 SafetyNet 监控滥用行为，这些功能会在用户要安装可能有害的应用时发出警告。Google Play 中禁止提供能够获取设备 root 权限的工具。为了保护从 Google Play 以外的来源安装应用的用户，“验证应用”功能会默认处于启用状态，并会在用户要安装能够获取 root 权限的已知应用时警告用户。“验证应用”功能会尝试识别并阻止用户安装会利用提权漏洞的已知恶意应用。如果用户已安装此类应用，那么“验证应用”功能将会通知用户并尝试移除所有此类应用。
  </li><li>Google 已对 Google 环聊和 Messenger 应用进行了适当更新，因此这两款应用不会自动将媒体内容传递给易受攻击的进程（例如 Mediaserver）。
</li></ul>

<h2 id="acknowledgements">致谢</h2>

<p>我们衷心感谢以下研究人员做出的贡献：</p>

<ul>
  <li> Brennan Lautner：CVE-2015-3863
  </li><li> 奇虎 360 C0re 团队的 Chiachih Wu 和 Xuxian Jiang：CVE-2015-3868、CVE-2015-3869、CVE-2015-3862
  </li><li> 奇虎 360 C0re 团队的 Yajin Zhou、Lei Wu 和 Xuxian Jiang：CVE-2015-3865
  </li><li> Copperhead Security 的 Daniel Micay (daniel.micay@copperhead.co)：CVE-2015-3875
  </li><li> 阿里巴巴移动安全团队的 dragonltx：CVE-2015-6599
  </li><li> Google Project Zero 的 Ian Beer 和 Steven Vittitoe：CVE-2015-6604
  </li><li> Fundación Dr. Manuel Sadosky 的 Programa STIC 的 Joaquín Rinaudo (@xeroxnir) 和 Ivan Arce (@4Dgifts)：CVE-2015-3870
  </li><li> Zimperium 的 Josh Drake：CVE-2015-3876、CVE-2015-6602
  </li><li> Exodus Intelligence 的 Jordan Gruskovnjak (@jgrusko)：CVE-2015-3867
  </li><li> 趋势科技 (Trend Micro) 的 Peter Pi：CVE-2015-3872、CVE-2015-3871
  </li><li> 奇虎 360 科技有限公司的 Ping Li：CVE-2015-3878
  </li><li> Seven Shen：CVE-2015-6600、CVE-2015-3847
  </li><li> 百度 X-Team 的 Wangtao (neobyte)：CVE-2015-6598
  </li><li> 趋势科技的吴潍浠 (@wish_wu)：CVE-2015-3823

  </li><li>上奥地利/哈根贝格应用科学大学 JR-Center u'smile 的 Michael Roland：CVE-2015-6606
</li></ul>

<p>我们还要感谢 Chrome 安全团队、Google 安全团队、Project Zero 和 Google 内部的其他人员在报告此公告中解决的多个问题方面做出的贡献。</p>

<h2 id="security_vulnerability_details">安全漏洞详情</h2>

<p>我们在下面提供了 2015-10-01 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关 Bug、严重程度、受影响的版本及报告日期。如果有解决相应问题的 AOSP 代码更改记录，我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="remote_code_execution_vulnerabilities_in_libstagefright">libstagefright 中的远程代码执行漏洞</h3>

<p>libstagefright 中有一些漏洞，当系统对攻击者蓄意创建的媒体文件进行文件和数据处理时，攻击者可以利用这些漏洞破坏内存，并通过 Mediaserver 服务远程执行代码。</p>

<p>由于攻击者可以利用该漏洞通过特权服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。受影响的组件可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td rowspan="14">CVE-2015-3873</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c23e3dd8af7397f023aae040c4a03dd14091cbed">ANDROID-20674086</a>  [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/9abb7401df730b5c510f6b8dac2716a0928d9623">2</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b62a73b860757143d3b140b2985fdae71e18d675">3</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b2ae4351539de9aa4667fcb3e02ba40d9c6bd094">4</a>]</td>
    <td rowspan="13">严重</td>
    <td rowspan="13">5.1 及更低版本</td>
    <td rowspan="13">Google 内部</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3fd96683850cf27648e036180acb149fac362242">ANDROID-20674674</a>  [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/65842db06c2d77e53cc5ac61692160d844cc7d0a">2</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/38eff9af5c032bf12f89d6e94df05f65eef51afc">3</a>,<a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/91860b89488b3ee4644c539e89e657fbb79fb6ad">4</a>]</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/2e941e40ce76eb13b273479a4ee8fb6e40d33795">ANDROID-20718524</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/06ca06ac6107f88530cc67225c47537621bb41a5">ANDROID-21048776</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/dc5e47f013bfbb74c5c35ad976aa98d480cb351b">ANDROID-21443020</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f11e95b21007f24e5ab77298370855f9f085b2d7">ANDROID-21814993</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f810a8298aea13fa177060cdc10c8297eac69c49">ANDROID-22008959</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/7913508110c80da87fb085514208adbd874d7d54">ANDROID-22077698</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/073e4f6748f5d7deb095c42fad9271cb99e22d07">ANDROID-22388975</a> </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/bf47eb9c67ed364f3c288954857aab9d9311db4c">ANDROID-22845824</a> </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b158a9a5bcfe21480f57bc58d45517f1a81cca39">ANDROID-23016072</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/5a132594b531f1f48098a790927f82080cc27f61">ANDROID-23247055</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/d2ebc0b9e147f9406db20ec4df61da50e3614ee4">ANDROID-23248776</a> </td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3179e3b3531b5fe93dc7f5b2c378e27010a406d5">ANDROID-20721050</a></td>
    <td>严重</td>
    <td>5.0 和 5.1</td>
    <td>Google 内部</td>
 </tr>
 <tr>
    <td>CVE-2015-3823</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/407d475b797fdc595299d67151230dc6e3835ccd">ANDROID-21335999 </a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 5 月 20 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6600</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/e6f5d47a7f9eab8a0009f8a563de473cd47d3110">ANDROID-22882938 </a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 7 月 31 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6601</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/738a753a3ca7bf8f9f608ca941575626265294e4">ANDROID-22935234</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 3 日</td>
 </tr>
 <tr>
    <td>CVE-2015-3869</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/450e1015b7939292ca988dd1b4f0303a094478e9">ANDROID-23036083</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 4 日</td>
 </tr>
 <tr>
    <td>CVE-2015-3870</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/4bce636865bdf0e2a79fc9a5d9a69107649c850d">ANDROID-22771132</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 5 日</td>
 </tr>
 <tr>
    <td>CVE-2015-3871</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c570778430a22b5488cae72982cf9fb8033dbda3">ANDROID-23031033</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 6 日</td>
 </tr>
 <tr>
    <td>CVE-2015-3868</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/937c6bedd4b6e5c6cb29a238eb459047dedd3486">ANDROID-23270724</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 6 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6604</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f51115bd8e44c2779b74477277c6f6046916e7cf">ANDROID-23129786</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 11 日</td>
 </tr>
 <tr>
    <td>CVE-2015-3867</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/7e9ac3509d72e8dc6f1316b5ce0a0066638b9737">ANDROID-23213430</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 14 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6603</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c37f7f6fa0cb7f55cdc5b2d4ccbf2c87c3bc6c3b">ANDROID-23227354 </a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 15 日</td>
 </tr>
 <tr>
    <td>CVE-2015-3876</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/c580c836c1941fb4912e1dd4e08626caf98a62c7">ANDROID-23285192</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 15 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6598</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/ba6093a4c6997b9d36d9700ee8c974941bf82e3a">ANDROID-23306638</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 18 日</td>
 </tr>
 <tr>
    <td>CVE-2015-3872</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/4d46f6f18f5160b8992ec1e66ef1844212fc7d48">ANDROID-23346388</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 19 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6599</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/af7e33f6043c0be1c0310d675884e3b263ca2438">ANDROID-23416608</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 21 日</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerabilities_in_sonivox">Sonivox 中的远程代码执行漏洞</h3>

<p>Sonivox 中有一些漏洞，当系统对攻击者蓄意创建的媒体文件进行文件处理时，攻击者可以利用这些漏洞破坏内存，并通过 Mediaserver 服务远程执行代码。由于攻击者可以利用该漏洞通过特权服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。受影响的组件可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td rowspan="3">CVE-2015-3874</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/8cbef48ba6e3d3f844b895f8ca1a1aee74414fff">ANDROID-23335715</a> </td>
    <td rowspan="3">严重</td>
    <td rowspan="3">5.1 及更低版本</td>
    <td rowspan="3">多个</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/5d2e7de37d4a28cf25cc5d0c64b3a29c1824dc0a">ANDROID-23307276</a> [<a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/f333a822c38c3d92f40e8f1686348e6a62c291">2</a>]</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsonivox/+/8a9f53ee2c661e8b5b94d6e9fbb8af3baa34310d">ANDROID-23286323</a></td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerabilities_in_libutils">libutils 中的远程代码执行漏洞</h3>

<p>在音频文件处理期间，通用库 libutils 中存在一些漏洞。当系统对攻击者蓄意创建的文件进行处理时，攻击者可以利用这些漏洞破坏内存，并通过使用此库的服务（如 Mediaserver）远程执行代码。</p>

<p>受影响的功能是某个应用 API，有多个应用允许通过远程内容（最主要是彩信和浏览器媒体播放）使用该功能。由于攻击者可以利用该漏洞通过特权服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。受影响的组件可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-3875</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/0cc9a6e6e1f8e675c1238e5e05418cabcc699b52">ANDROID-22952485</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 15 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6602</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/e0dce90b0de2b2b7c2baae8035f810a55526effb">ANDROID-23290056</a> [<a href="https://android.googlesource.com/platform%2Fsystem%2Fcore/+/5b85b1d40d619c2064d321364f212ebfeb6ba185">2</a>]</td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 15 日</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerability_in_skia">Skia 中的远程代码执行漏洞</h3>

<p>Skia 组件中有一个漏洞，当系统对攻击者蓄意创建的媒体文件进行处理时，攻击者可以利用该漏洞破坏内存，并通过特权进程远程执行代码。由于攻击者可以利用该漏洞在系统处理媒体文件时通过多种攻击方式（例如电子邮件、网页浏览和彩信等）远程执行代码，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-3877</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fskia/+/55ad31336a6de7037139820558c5de834797c09e">ANDROID-20723696</a></td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 7 月 30 日</td>
 </tr>
</tbody></table>

<h3 id="remote_code_execution_vulnerabilities_in_libflac">libFLAC 中的远程代码执行漏洞</h3>

<p>在媒体文件处理期间，libFLAC 中存在一个漏洞。当系统对攻击者蓄意创建的文件进行处理时，攻击者可以利用该漏洞破坏内存并远程执行代码。</p>

<p>受影响的功能是某个应用 API，有多个应用允许通过远程内容（例如浏览器媒体播放）使用该功能。由于攻击者可以利用该漏洞通过特权服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。受影响的组件可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2014-9028</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fflac/+/fe03f73d86bb415f5d5145f0de091834d89ae3a9">ANDROID-18872897</a> [<a href="https://android.googlesource.com/platform%2Fexternal%2Fflac/+/5859ae22db0a2d16af3e3ca19d582de37daf5eb6">2</a>]</td>
    <td>严重</td>
    <td>5.1 及更低版本</td>
    <td>2014 年 11 月 14 日</td>
 </tr>
</tbody></table>

<p>
</p>

<h3 id="elevation_of_privilege_vulnerability_in_keystore">KeyStore 中的提权漏洞</h3>

<p>KeyStore 组件中有一个提权漏洞，当 KeyStore API 被调用时，恶意应用可以利用该漏洞破坏内存，并通过 KeyStore 执行任意代码。由于攻击者可以利用该漏洞获取第三方应用无法直接获取的权限，因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-3863</td>
    <td><a href="https://android.googlesource.com/platform%2Fsystem%2Fsecurity/+/0d5935262dbbcaf2cf6145529ffd71a728ef4609">ANDROID-22802399</a></td>
    <td>高</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 7 月 28 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_media_player_framework">Media Player Framework 中的提权漏洞</h3>

<p>Media Player Framework 组件中有一个提权漏洞，恶意应用可以利用该漏洞通过 Mediaserver 执行任意代码。由于恶意应用可以利用该漏洞获取第三方应用无法获取的权限，因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-3879</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/aa4da6fa7ca2454f0713de0a5a583b5b8160166b">ANDROID-23223325</a> [2]*</td>
    <td>高</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 14 日</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的第二项代码更改。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="elevation_of_privilege_vulnerability_in_android_runtime">Android Runtime 中的提权漏洞</h3>

<p>Android Runtime 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过提权后的系统应用执行任意代码。由于攻击者可以利用该漏洞使第三方应用获取超出规定的权能（如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 权限），因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-3865</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/ff8dc21278b19b22ed8dc9f9475850838336d351">ANDROID-23050463</a> [<a href="https://android.googlesource.com/platform%2Fcts/+/3f7334822ba4cc53f81f22f3519093bf4e1d7f89">2</a>]</td>
    <td>高</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 8 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerabilities_in_mediaserver">Mediaserver 中的提权漏洞</h3>

<p>Mediaserver 中有多个漏洞，本地恶意应用可以利用这些漏洞通过特权本地服务执行任意代码。由于攻击者可以利用该漏洞获取第三方应用无法直接获取的权限，因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td rowspan="3">CVE-2015-6596</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/b97ee930e4f7ed1587b869c92b4aa1dc90b641cc">ANDROID-20731946</a></td>
    <td rowspan="2">高</td>
    <td rowspan="2">5.1 及更低版本</td>
    <td rowspan="2">多个</td>
 </tr>
 <tr>
    <td>ANDROID-20719651*</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/9ef830c6dbd4f6000b94abee3df14b9e27a38294">ANDROID-19573085</a></td>
    <td>高</td>
    <td>5.0 至 6.0 之间的版本</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="elevation_of_privilege_vulnerability_in_secure_element_evaluation_kit">Secure Element Evaluation Kit 中的提权漏洞</h3>

<p><a href="http://seek-for-android.github.io/">SEEK</a>（Secure Element Evaluation Kit，又称为 SmartCard API）插件中有一个漏洞，应用可以利用该漏洞在未经申请的情况下获取超出规定的权限。由于攻击者可以利用该漏洞使第三方应用获取超出规定的权能（如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 权限），因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6606</td>
    <td>ANDROID-22301786*</td>
    <td>高</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 6 月 30 日</td>
 </tr>
</tbody></table>

<p>*<a href="http://seek-for-android.github.io/">SEEK for Android 网站</a>上提供了可解决该问题的升级版本。
</p>

<h3 id="elevation_of_privilege_vulnerability_in_media_projection">Media Projection 中的提权漏洞</h3>

<p>Media Projection 组件中有一个漏洞，攻击者可以利用该漏洞以屏幕快照的形式获取用户数据。该漏洞是操作系统允许使用过长的应用名称导致的。本地恶意应用可使用过长的名称来阻碍系统向用户显示关于录制屏幕内容的警告。由于攻击者可以利用该漏洞以不当方式获取超出规定的权限，因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-3878</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/b3145760db5d58a107fd1ffd8eeec67d983d45f3">ANDROID-23345192</a></td>
    <td>中</td>
    <td>5.0 至 6.0 之间的版本</td>
    <td>2015 年 8 月 18 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">蓝牙中的提权漏洞</h3>

<p>Android 蓝牙组件中有一个漏洞，应用可以利用该漏洞删除存储的短信。由于攻击者可以利用该漏洞以不当方式获取超出规定的权限，因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-3847</td>
    <td><a href="https://android.googlesource.com/platform%2Fpackages%2Fapps%2FBluetooth/+/19004c751f36aa2b01d3e03d4f761d8897542bd2">ANDROID-22343270</a></td>
    <td>中</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 7 月 8 日</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerabilities_in_sqlite">
SQLite 中的提权漏洞</h3>

<p>我们在 SQLite 解析引擎中发现了多个漏洞。这些漏洞可能会被本地应用利用，从而导致其他应用或服务可执行任意 SQL 查询。如果本地应用成功利用这些漏洞，则可通过目标应用执行任意代码。</p>

<p>我们在 2015 年 4 月 8 日向 AOSP 主代码库上传了一个修复程序，用于将 SQLite 版本升级到 3.8.9：<a href="https://android-review.googlesource.com/#/c/145961/">https://android-review.googlesource.com/#/c/145961/</a></p>

<p>本公告中包含针对 Android 4.4 (SQLite 3.7.11) 以及 Android 5.0 和 5.1 (SQLite 3.8.6) 中的 SQLite 版本的补丁程序。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6607</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fsqlite/+/3fcd43a0f1ef02756029e12af3cb9ba9faa13364">ANDROID-20099586</a></td>
    <td>中</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 4 月 7 日<br />已公开</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerabilities_in_mediaserver">
Mediaserver 中的拒绝服务漏洞</h3>

<p>Mediaserver 中有多个漏洞，攻击者可以利用这些漏洞使 Mediaserver 进程崩溃，进而使系统拒绝服务。由于攻击者可以利用该漏洞使媒体服务器崩溃，进而在本地发起暂时拒绝服务攻击，因此我们将该漏洞的严重程度评为“低”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>受影响的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td rowspan="3">CVE-2015-6605</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Ftremolo/+/36ec928f52271dd1feb4c86b18026564220629e9">ANDROID-20915134</a></td>
    <td rowspan="2">低</td>
    <td rowspan="2">5.1 及更低版本</td>
    <td rowspan="2">Google 内部</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/3ce293842fed1b3abd2ff0aecd2a0c70a55086ee">ANDROID-23142203</a></td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/2b67e532653b815e2341a0ac0b59d1b0ef82170d">ANDROID-22278703</a></td>
    <td>低</td>
    <td>5.0 至 6.0 之间的版本</td>
    <td>Google 内部</td>
 </tr>
 <tr>
    <td>CVE-2015-3862</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fav/+/f26400c9d01a0e2f71690d5ebc644270f098d590">ANDROID-22954006</a></td>
    <td>低</td>
    <td>5.1 及更低版本</td>
    <td>2015 年 8 月 2 日</td>
 </tr>
</tbody></table>

<h2 id="revisions">修订</h2>

<ul>
  <li>2015 年 10 月 5 日：发布了公告。
  </li><li>2015 年 10 月 7 日：更新了公告中的 AOSP 参考资料：更正了 CVE-2014-9028 的 Bug 参考资料。
  </li><li>2015 年 10 月 12 日：更新了 CVE-2015-3868、CVE-2015-3869、CVE-2015-3865、CVE-2015-3862 的致谢信息。
  </li><li>2016 年 1 月 22 日：更新了 CVE-2015-6606 的致谢信息。
  </li><li>2016 年 4 月 28 日：添加了 CVE-2015-6603，并且更正了 CVE-2014-9028 的拼写错误。
</li></ul>

</body></html>